package state51::Odoo::Test::Helpers;

use strictures;
use Exporter::Easy (
    OK => [
        qw/
              build_odoo_client_with_env
          /
    ],
);

=head2 build_odoo_client_with_env

Arguments are:

  - $interface_type ('json|xml')
  - $password (would default to the ENV password, but can be used to pass a faulty password for testing). Most of the time, you just want to pass undef

=cut

sub build_odoo_client_with_env {

    my ($interface_type, $wrong_password) = @_;
    $interface_type ||= 'xml';

    my %login_params = (
        user     => $ENV{ODOO_USERNAME},
        password => $wrong_password || $ENV{ODOO_PASSWORD},
        # Note we force the usage of the *_DEV environment variables
        db_name  => $ENV{ODOO_DB_DEV},
        base_url => $ENV{ODOO_URL_DEV},
    );

    my $o = state51::Odoo->new(
        %login_params,
        interface_type => $interface_type,
    );

    return $o;
}

1;
